-- ODS_ENDOR ODS_批单业务数据
insert into ODS.ODS_KAFKA.ENDOR
select
	endorseNo                   ,                  -- 1 批单号
	businessOffice              ,                  -- 新核心车险批单-保单归属机构代码
	productCode                 ,                  -- 新核心车险批单-险种代码
    businessNatureCode          ,                  -- 新核心车险批单-业务来源
	channelType                 ,					-- 5 渠道类型
	uwConclueDate               ,                  -- 6 核批完成时间
	plpEndorse                  ,
    recordClerkCode             ,               -- 14 归属业务员ID
	recordClerkName             ,               -- 15 归属业务员名称
	businessChannelCode         ,               -- 27 新核心车险批单-清分后渠道
	businessChannelName         ,               -- 28 业务渠道名
    newPolicyFlag               ,               -- 20 新核心车险批单-新保标识 1:是，0：否
	autoTransrenewFlag          ,               -- 21 新核心车险批单-自动续保标识 1:是，4：跨险种自动续保，0：否
	transferPolicyFlag          ,               -- 22 新核心车险批单-转保标识1:是，0：否
	transrenewFlag              ,                -- 23 新核心车险批单-续保标识 1:是，4：跨险种续保，0：否
	policyCreatDate             ,                -- 新核心车险批单-核保通过时间
    plcSolution                 ,
	policyNo                    ,                -- 新核心车险批单-保单号
	businessOfficeName          ,                -- 新核心车险批单-保单归属机构名称
	startTime                   ,                -- 新核心车险批单-起保时间
	endTime                     ,                -- 新核心车险批单-终保时间
	netPremium                  ,                -- 新核心车险批单-不含税保费
	premium                     ,               -- 新核心车险批单-含税保费
	plcCar05                    ,
	plcApplicant                ,
	plcPublicInsurant           ,
	saleaman                    ,                -- 新核心车险批单-代理机构代码
	saleamanName                ,                -- 新核心车险批单-代理机构名称
	policySort                  ,                -- 新核心车险批单-保单种类
    sigAndStaExchangeRate       				 -- 8 到人民币汇率 除了粤港车，车险没有存汇率，模型默认0

from ODS.SOURCE_RMQ_ENDOR_PRD.ENDOR
;



insert into ODS.ODS_MYSQL.MQ_ENDOR
select
    endorseNo                                             				                as endorseNo              --0 批单号
    ,LongTimeToStringUDF(uwConclueDate,'yyyyMMdd')                    	                as uwConclueDate          --1 核保通过时间   ？？
    ,LongTimeToStringUDF(plpEndorse.endorseEffectiveTime,'yyyyMMdd')  	                as endorseEffectiveTime   --2 起保时间
    ,businessOffice                                        				                as businessOffice         --3 保单归属机构代码
    ,productCode                                           				                as productCode            --4 险种代码
    ,businessChannelCode                                   				                as businessChannelCode    --5 业务渠道
    ,businessNatureCode                                    				                as businessNatureCode     --6 业务来源
	,plpEndorse.netPremiumVariation														as netPremiumVariation    --7 9月2日生效 保费变化量
	,sigAndStaExchangeRate																as sigAndStaExchangeRate  --8
    ,plpEndorse.staCurPremiumVariation 													as staCurPremiumVariation --9
	,plcSolution[1].plcCoins.plcCoinsBasicInformation[1].coinsIdentity  				as coinsIdentity          --0
    ,plcSolution[1].plcCoins.plcCoinsBasicInformation[1].coinsRate 						as coinsRate              --1
    ,newPolicyFlag  																	as newPolicyFlag          --2
	,autoTransrenewFlag 																as autoTransrenewFlag     --3
	,transferPolicyFlag 																as transferPolicyFlag	      --4
	,transrenewFlag																		as transrenewFlag         --5
    ,recordClerkCode																	as recordClerkCode        --6
    ,policyCreatDate                                                                    as policyCreatDate

from ODS.SOURCE_RMQ_ENDOR_PRD.ENDOR




