-- ZB_CK_KAFKA_ENDOR 批单清单KAFKA
insert into ZB_CK.ZB_CK_MYSQL.KAFKA_ENDOR
select 
    endorseNo                                             				                as endorseNo              --0 批单号
    ,LongTimeToStringUDF(uwConclueDate,'yyyyMMdd')                    	                as uwConclueDate          --1 核保通过时间   ？？
    ,LongTimeToStringUDF(plpEndorse.endorseEffectiveTime,'yyyyMMdd')  	                as endorseEffectiveTime   --2 起保时间
    ,businessOffice                                        				                as businessOffice         --3 保单归属机构代码
    ,productCode                                           				                as productCode            --4 险种代码
    ,businessChannelCode                                   				                as businessChannelCode    --5 业务渠道
    ,businessNatureCode                                    				                as businessNatureCode     --6 业务来源
	,plpEndorse.netPremiumVariation														as netPremiumVariation    --7 9月2日生效 保费变化量
	,sigAndStaExchangeRate																as sigAndStaExchangeRate  --8 
    ,plpEndorse.staCurPremiumVariation 													as staCurPremiumVariation --9 
	,plcSolution[1].plcCoins.plcCoinsBasicInformation[1].coinsIdentity  				as coinsIdentity          --0 
    ,plcSolution[1].plcCoins.plcCoinsBasicInformation[1].coinsRate 						as coinsRate              --1 
    ,newPolicyFlag  																	as newPolicyFlag          --2 
	,autoTransrenewFlag 																as autoTransrenewFlag     --3 
	,transferPolicyFlag 																as transferPolicyFlag	      --4 
	,transrenewFlag																		as transrenewFlag         --5 
    ,recordClerkCode																	as recordClerkCode        --6
    ,policyCreatDate                                                                    as policyCreatDate

from ODS.ODS_KAFKA.ENDOR
where LongTimeToStringUDF(uwConclueDate,'yyyyMMdd')   between '20220831' and '20220902'