-- ZB_CK_KAFKA_POLICY 保单清单kafka
insert into ZB_CK.ZB_CK_MYSQL.KAFKA_POLICY
select
     policyNo                                             								as policyNo                     -- 0
    ,LongTimeToStringUDF(uwConclueDate,'yyyyMMdd')                      				as uwConclueDate                -- 1
    ,LongTimeToStringUDF(startTime,'yyyyMMdd')                          				as startTime                    -- 2
    ,businessOffice                            						    				as businessOffice               -- 3
    ,productCode  																		as productCode               -- 4                          
    ,businessChannelCode   																as businessChannelCode          -- 5                      
    ,businessNatureCode 																as businessNatureCode           -- 6                        
    ,netPremium 																		as netPremium                   -- 7 
	,sigAndStaExchangeRate 																as sigAndStaExchangeRate        -- 8
	,plcSolution[1].plcCoins.plcCoinsBasicInformation[1].coinsIdentity  				as coinsIdentity                -- 9
    ,plcSolution[1].plcCoins.plcCoinsBasicInformation[1].coinsRate 						as coinsRate                    -- 0
    ,newPolicyFlag  																	as newPolicyFlag                -- 1
	,autoTransrenewFlag 																as autoTransrenewFlag           -- 2
	,transferPolicyFlag 																as transferPolicyFlag	            -- 3
	,transrenewFlag																		as transrenewFlag               -- 4
    ,recordClerkCode																	as recordClerkCode              -- 5
    ,policyCreatDate                                                                    as policyCreatDate

from ODS.ODS_KAFKA.POLICY -- 保单业务数据
where LongTimeToStringUDF(uwConclueDate,'yyyyMMdd')   between '20220831' and '20220902'
;

